Manage DNSSEC auto-activation for domains

Activate or deactivate automatic DNSSEC management for a specific domain. Use this to have the system manage DNSSEC settings automatically or to remove a domain from automatic management.

Domain Services DNS

Context

Where to get IDs / values

Path Parameters

domainId integer · min: 1 required Example: 13837

Unique domain identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
action string · enum required · Example: exclude
exclude
include

Responses

200
data object required
data.dnssec_status string · enum required · Example: excluded
excluded
pending
data.domain string required · Example: example.com
data.message string required · Example: Domain excluded from automatic DNSSEC activation

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domains/{domainId}/dnssec-auto
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domains/13837/dnssec-auto" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "action": "exclude"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "message": "Domain excluded from automatic DNSSEC activation",
    "domain": "example.com",
    "dnssec_status": "excluded"
  }
}
Request Body exclude
{
  "action": "exclude"
}